Subject: Guix boot issue on Hyper-V

From: Daniel K <[email-masked]>
Date: Mon, 27 Nov 2023 00:33:50 +0000

Hello,

I'm trying to run Guix System 1.4.0 in a Hyper-V environment with no window manager.

I'm using Generation 1 instead of Generation 2 is because Generation 2 has an error when running the installation media:
```
waiting for partition '31393730-3031-3031-3139-333333313833' to appear...​ [x21 times]
ice-9/boot-9.scm:1685:16: In procedure raise-exception:​
failed to resolve partition "31393730-3031-3031-3139-333333313833"​
```
(attached as generation2-install-error.png​)

I'm able to install with Hyper-V Generation 1 and it generally works out of the box and even after doing pull and upgrade via:
```
guix pull​
sudo guix system reconfigure /etc/config.scm​
guix upgrade​
```

Early on I noticed that it would sometimes hang while booting, but a couple of reset attempts and waitin usually fixed it. However now I am no longer able to boot into the system.

At boot I get this log  near the end:
```
udevd[85]: no sender credentials received, message ignored​
piix4_smbus 0000:00:07.3: SMBus base address uninitialized - upgrade BIOS or use force_addr=0xaddr​
Error: Driver 'pcspkr' is already registered, aborting...​
```
(attached as boot-error.png​)

Did some searching and found issues https://issues.guix.gnu.org/44257, https://issues.guix.gnu.org/48343, and https://issues.guix.gnu.org/55006 so I tried adding nomodeset​ and blacklisting pcspkr from the linux argument list but this did not allow me to reach the login.

I get the following messages with quiet​ removed:
```
psmouse serio1: trackpoint: failed to get extended button data, assuming 3 buttons​
input: TTPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/input/input6​
hv_balloon: Max. dynamic memory size: 1048576 MB​
```
(attached as boot-error-loud.png​)

I've tried a few other things like locking the memory to 4 GB (instead of dynamically set with 2 GB) and blacklisting psmouse​, but with no success.

Debian 12 works without issues but I want to dump Debian and move all my systems to Guix. It's able to use Debian on Hyper-V Generation 2, maybe that has something to do with it?

Is there any way to resolve this Hyper-V Generation 1 boot issue?
Alternatively, is there a way to make the installer work on Hyper-V Generation 2?
And is there also a way to persist these logs so I can try reinstalling Guix and compare the logs? I'm able to access the filesystem via a TinyCore liveCD.

CPU: AMD Ryzen 5 1600
GPU: NVIDIA GeForce GTX 1060
Host OS: Windows 10 Enterprise LTSC 1809

Thanks,
- Daniel K.